Delete Multiple Document Attachments
Delete multiple document attachments in bulk with a JSON or CSV input file. This works for version-specific attachments and attachments at the document level.
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 500.
DELETE
/api/{version}/objects/documents/attachments/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or text/csv or application/xml |
Body Parameters
Section link for Body ParametersPrepare a CSV or JSON input file.
| Name | Description |
|---|---|
idconditional | The attachment ID to delete. Not required if providing a unique field identifier (idParam) such as external_id__v. |
external_id__voptional | Identify documents by their external ID instead of regular id. You must also add the idParam=external_id__v query parameter. |
document_id__voptional | The source document id value. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
idParam | If you’re identifying attachments in your input by external id, add idParam=external_id__v to the request endpoint. |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Documents\delete_attachments.csv" \
https://myvault.veevavault.com/api/v23.2/objects/documents/attachments/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 26
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response returns the id of all successfully deleted attachments. You can only delete the latest version of an attachment.